# Matplotlib and RNG: Basic Examples

# import matplotlib, extremely popular plotting library
import matplotlib.pyplot as plt # "as plt" defines "plt" as an alias

# import numpy for random number generation
import numpy as np # "np" alias makes code easier to write

# evenly sampled time at 200ms intervals
t = np.arange(0., 5., 0.2)

# red dashes, blue squares and green triangles
# ---> Try changing the plot labels to be green hexagons, yellow stars, and purple diamonds. 
plt.figure(1)
plt.plot(t, t, 'r--', t, t**2, 'bs', t, t**3, 'g^')

# documentation for these RNG functions can be found with a quick Google search
# Try changing some values in the 'c' RNG function to make the plot's colors different.
data = {'a': np.arange(50),
        'c': np.random.randint(0, 50, 50),
        'd': np.random.randn(50)
        }

data['b'] = data['a'] + 10 * np.random.randn(50)
data['d'] = np.abs(data['d']) * 100

plt.figure(2)
# c parameter controls color. s parameter controls size
plt.scatter('a', 'b', c='c', s='d', data=data)
plt.xlabel('entry a')
plt.ylabel('entry b')

plt.show() # makes all figures visible